Bug 1024587 - [abrt] emesene-2.11.11-5.fc19: async.py:40:run:TypeError: __common_errback() takes at least 3 arguments (2 given)
[abrt] emesene-2.11.11-5.fc19: async.py:40:run:TypeError: __common_errback() ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: emesene (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
abrt_hash:3e945a39bfb44a801c38c714fda...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 22:42 EDT by Erich Carlson
Modified: 2015-02-17 13:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 13:57:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (945 bytes, text/plain)
2013-10-29 22:42 EDT, Erich Carlson
no flags Details
File: environ (1.85 KB, text/plain)
2013-10-29 22:42 EDT, Erich Carlson
no flags Details

  None (edit)
Description Erich Carlson 2013-10-29 22:42:11 EDT
Version-Release number of selected component:
emesene-2.11.11-5.fc19

Additional info:
reporter:       libreport-2.1.8
cmdline:        python /usr/lib/python2.7/site-packages/emesene/emesene
dso_list:       papyon-0.5.6-5.fc19.noarch
executable:     /usr/lib/python2.7/site-packages/emesene/emesene
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
async.py:40:run:TypeError: __common_errback() takes at least 3 arguments (2 given)

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/papyon/service/SOAPService.py", line 253, in _error_handler
    self._response_handler(transport, error.response)
  File "/usr/lib/python2.7/site-packages/papyon/service/SOAPService.py", line 240, in _response_handler
    user_data)
  File "/usr/lib/python2.7/site-packages/papyon/service/ContentRoaming/storage.py", line 134, in _HandleSOAPFault
    run(errback, error)
  File "/usr/lib/python2.7/site-packages/papyon/util/async.py", line 40, in run
    callback[0](*args)
TypeError: __common_errback() takes at least 3 arguments (2 given)

Local variables in innermost frame:
callback: (<bound method ContentRoaming.__common_errback of <ContentRoaming object at 0x455f550 (papyon+service+ContentRoaming+content_roaming+ContentRoaming at 0x36035a0)>>,)
args: (ContentRoamingError(),)

Potential duplicate: bug 812543
Comment 1 Erich Carlson 2013-10-29 22:42:15 EDT
Created attachment 817261 [details]
File: backtrace
Comment 2 Erich Carlson 2013-10-29 22:42:19 EDT
Created attachment 817262 [details]
File: environ
Comment 3 Fedora End Of Life 2015-01-09 15:24:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 13:57:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.